String clazzTpl({package}) => """
import 'package:xanno/xanno.dart';
import 'package:flutter/material.dart';
import 'package:$package/generated/l10n.dart';
import 'package:$package/route/main.route.dart';
import 'package:$package/widget/observable.dart';
import 'package:$package/mixin/base_widget_mixin.dart';

///局部状态刷新
class CounterState {
  int counter = 0;
}

var observable = Observable(CounterState());

@GRoute(url: '/', title: 'main')
class MainPage extends BaseStatefulWidget {
  final String title;

  const MainPage({Key? key, required this.title}) : super(key: key);

  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends BaseState<MainPage> with BaseStatefulMixin {
  @override
  void initState() {
    observable.listen((state) {
      print(state.counter);
    });
    super.initState();
  }

  @override
  AppBar? appBar(BuildContext context) {
    return AppBar(
      title: Text(
        widget.title,
        style: TextStyle(fontSize: 30, fontWeight: FontWeight.bold),
      ),
    );
  }

  @override
  Widget? body(BuildContext context) {
    return Center(
      child: GestureDetector(
        onTap: () => Navigator.pushNamed(context, RouteConstant.AppDebugPage),
        child: observable.builder((context, state) {
          return Text(
            '\${S.of(context).xanno} 👍 \${state.counter}',
            style: TextStyle(fontSize: 30, fontWeight: FontWeight.bold),
          );
        }, memo: (state) => [state.counter]),
      ),
    );
  }

  @override
  Widget? floatingActionButton(BuildContext context) {
    return FloatingActionButton(
      onPressed: () => observable.notify((state) => state.counter++),
      child: Icon(Icons.add),
    );
  }
}
""";
